esprit-2013-1a2-high-octane: jennyfer.c File Reference

esprit-2013-1a2-high-octane version one finale

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables
Macros | Functions
jennyfer.c File Reference

Définit le personnage jennyfer ainsi que toutes les actions possibles. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <allegro.h>`
`#include "background.h"`
`#include "chien.h"`
`#include "collision.h"`
`#include "jennyfer.h"`
Include dependency graph for jennyfer.c:

## Macros

#define | GFX_W 642
#define | GFX_H 450

## Functions

void | load_jennyfer (jennyfer *jenn)
void | destroy_jennyfer (jennyfer *jenn)
void | init_jennyfer (jennyfer *jenn)
void | move_jennyfer_right (jennyfer *jenn, int *compteur, BITMAP *Background)
void | move_jennyfer_left (jennyfer *jenn, int *compteur, BITMAP *Background)
void | jump_jennyfer (jennyfer *jenn, BITMAP *Background)
void | move_jennyfer_gramp (jennyfer *jenn, int *compteur)
void | bow_jennyfer (jennyfer *jenn, BITMAP *Background)
void | move_jennyfer (jennyfer *jenn, int *compteur, BITMAP *Background)
void | gravity (int *y)
void | gravity_jennyfer (jennyfer *jenn, BITMAP *Background)
void | draw_jennyfer (jennyfer jenn, BITMAP *Buffer, int compteur)
| on utilise la fonction draw_sprite pour l'affichage des sprites
void | throw (int *s)
void | blood (BITMAP *BLOOD, BITMAP *Buffer, jennyfer *jenn, int *k)

## Detailed Description

Définit le personnage jennyfer ainsi que toutes les actions possibles.

Author
  fatma & omar <3

Version
  1.0

Date
  20 mai 2013

## Function Documentation

void blood | ( | BITMAP * | BLOOD,
|  | BITMAP * | Buffer,
|  | jennyfer * | jenn,
|  | int * | k
| ) |  |

L'affihage de la barre d'energie dans chaque Background

Parameters

  jenn | Un pointeur sur la structure jennyfer, Buffer memoire ou se charge les images *BLOOD de type BITMAP elle stocke la dernière image chargè *k son adress nous permet le passae d'une image d'energie a une autre

Returns
  void

Here is the caller graph for this function:

void bow_jennyfer | ( | jennyfer * | jenn,
|  | BITMAP * | Background
| ) |  |

elle permet au perso de se dèplacer vers la bas

Parameters

  jenn | Un pointeur sur la structure jennyfer

Returns
  void

Here is the caller graph for this function:

void destroy_jennyfer | ( | jennyfer * | jenn | ) |

il ecrase ce qu'il y'a dans le Buffer

Parameters

  jenn | Un pointeur sur la structure jennyfer

Returns
  void

Here is the caller graph for this function:

void draw_jennyfer | ( | jennyfer | jenn,
|  | BITMAP * | Buffer,
|  | int | compteur
| ) |  |

on utilise la fonction draw_sprite pour l'affichage des sprites

elle permet l'affichage du perso selon sa direction et son mouvement

Parameters

  jenn | de type jennyfer , Buffer qui est la memoire ou se charge les images compteur aide pour l'affichage et le passage d'une image a une autre il est de type int

Returns
  void

Here is the caller graph for this function:

void gravity_jennyfer | ( | jennyfer * | jenn,
|  | BITMAP * | Background
| ) |  |

elle permet au perso d'avoir une gravitè

Parameters

  jenn | Un pointeur sur la structure jennyfer

Returns
  void

Here is the caller graph for this function:

void init_jennyfer | ( | jennyfer * | jenn | ) |

Les champs direction et position(x,y) sont initialisés avant que le programme entre dans la boucle de jeu

Parameters

  jenn | Un pointeur sur la structure jennyfer

Returns
  void

Here is the caller graph for this function:

void load_jennyfer | ( | jennyfer * | jenn | ) |

chargement des images

Parameters

  jenn | Un pointeur sur la structure jennyfer

Returns
  void

Here is the caller graph for this function:

void move_jennyfer | ( | jennyfer * | jenn,
|  | int * | compteur,
|  | BITMAP * | Background
| ) |  |

elle permet au perso de se dèplacer , elle fait appel au 5 fonctions

Parameters

  jenn | Un pointeur sur la structure jennyfer compteur son adresse aide pour le passage d'une image a une autre il est de type int

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_jennyfer_left | ( | jennyfer * | jenn,
|  | int * | compteur,
|  | BITMAP * | Background
| ) |  |

elle permet au perso de se dèplacer vers la gauche

Parameters

  jenn | Un pointeur sur la structure jennyfer compteur son adresse aide pour le passage d'une image a une autre il est de type int

Returns
  void

Here is the caller graph for this function:

void move_jennyfer_right | ( | jennyfer * | jenn,
|  | int * | compteur,
|  | BITMAP * | Background
| ) |  |

elle permet au perso de se dèplacer vers la droite

Parameters

  jenn | Un pointeur sur la structure jennyfer compteur son adresse aide pour le passage d'une image a une autre il est de type int

Returns
  void

Here is the caller graph for this function: